Skip to main content
GET
/
v4
/
data-field
/
{id}
Get data field
curl --request GET \
  --url https://api.example.com/v4/data-field/{id} \
  --header 'x-meetergo-api-user-id: <api-key>'
{
  "id": 123,
  "label": "<string>",
  "name": "<string>",
  "target": "email",
  "fieldType": "email",
  "required": true,
  "hidden": true,
  "default": true,
  "mutable": true,
  "defaultValue": "<string>",
  "placeholder": "<string>",
  "locales": [
    {
      "locale": "<string>",
      "label": "<string>"
    }
  ],
  "options": [
    {
      "label": "<string>",
      "value": "<string>",
      "image": "<string>",
      "icon": "<string>"
    }
  ],
  "slideOptions": {
    "description": "<string>",
    "multiselect": true,
    "type": "checkbox",
    "hideLabel": true
  },
  "fileFieldOptions": {
    "allowedExtensions": [
      "<string>"
    ],
    "maxFileSizeMB": 5,
    "maxFiles": 1,
    "enableCameraCapture": false
  },
  "contactOptions": {
    "salutation": false,
    "firstName": true,
    "lastName": true,
    "email": true,
    "phone": true,
    "mobile": false,
    "birthdate": false,
    "street": false,
    "addressSupplement": false,
    "zip": false,
    "city": false,
    "country": false
  },
  "bankDetailsOptions": {
    "showBic": true,
    "showAccountHolder": true,
    "showSignature": false
  },
  "licensePlateOptions": {
    "countryFilter": "all"
  },
  "pdfTemplateOptions": {
    "fileAssetId": "<string>",
    "pdfmeTemplate": {},
    "requireSignature": false,
    "requireSignatureOtp": false
  },
  "fileDownloadOptions": {
    "fileAssetIds": [
      "<string>"
    ],
    "fileNames": {}
  },
  "min": 123,
  "max": 123,
  "style": 123,
  "defaultCountryCode": "<string>",
  "useMarkdown": true,
  "helpText": "<string>",
  "displayStyle": "<string>",
  "conditions": {},
  "headingLevel": 123,
  "hideUntilChange": true,
  "showInfobox": true,
  "infoboxText": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act as when using API Key authentication (required with API Key)

Path Parameters

id
integer
required

Response

id
integer
label
string
name
string
target
enum<string>
Available options:
email,
firstname,
lastname,
fullname,
phone,
other
fieldType
enum<string>
Available options:
email,
phone,
text-single,
text-multi,
number,
select,
checkbox-single,
checkbox-multi,
radio,
slide,
url,
file,
date-of-birth,
yes-no,
rating,
signature,
date,
time,
image,
heading,
separator,
page-break,
contact,
bank-details,
license-plate,
info-text,
info-image,
info-video,
currency,
location,
pdf-template,
file-download
required
boolean
hidden
boolean
default
boolean
mutable
boolean
defaultValue
string
placeholder
string
locales
object[]
options
object[]
slideOptions
object
fileFieldOptions
object
contactOptions
object

Controls which sub-inputs are shown in a contact composite field

bankDetailsOptions
object

Controls optional sub-inputs for SEPA/bank details (IBAN always shown)

licensePlateOptions
object
pdfTemplateOptions
object
fileDownloadOptions
object
min
number
max
number
style
number
defaultCountryCode
string
useMarkdown
boolean
helpText
string
displayStyle
string
conditions
object
headingLevel
number
hideUntilChange
boolean
showInfobox
boolean
infoboxText
string
createdAt
string<date-time>
updatedAt
string<date-time>